curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"assets": {},
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}このエンドポイントでは、指定された入力データに基づいてキャンペーンをバッチで読み取り、関連付けられているアセットと一緒にキャンペーンを返します。 バッチ要求に含まれる項目の最大数は50個です。 レスポンスに含まれるキャンペーンは要求で指定された順序と同じになるとは限りません。 要求で重複するキャンペーンIDが指定されている場合、重複は無視されます。レスポンスには固有IDのみが含まれ、重複なしで返されます。
curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"assets": {},
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
バッチ要求処理が完了した時点のタイムスタンプ。
Show child attributes
バッチ要求の処理が開始された時点のタイムスタンプ。
次の値を取り得る、バッチ処理の現在の処理ステータス:CANCELED、COMPLETE、PENDING、PROCESSING。
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
関連するリソースやドキュメントにリンクしているURLのコレクション。
Show child attributes
バッチ要求が最初に行われた時点のタイムスタンプ。